Автор Тема: u must have libstdc++ headers installed  (Прочетена 2172 пъти)

kicker

  • Напреднали
  • *****
  • Публикации: 49
    • Профил
    • WWW
u must have libstdc++ headers installed
« -: Mar 09, 2004, 17:16 »
Oh.. syjaliawam, che pak shte si napisha temata, no ne sym poglednal dobre predniq pyt i sym pisal w sekciqta za naprednali, a az opredleeno ne sym takyw '<img'>
shte ia post-na i tuk, ta dano nqkoi da mi tgowori na po-razbiraem za men ezik.


Moje bi problemyt mi ne e koi znai kakyw, no za now user kato men e golqm, zashtoto predstawa si nqmam kakwo znachi towa?
T.e. az znam kakwo znachi, no zashto mi wadi takowa msg pri polojenie, che sym si instaliral SuSE.to na full install..
Nqkoi moje li da mi pomogne i da mi kaje kak da instaliram teia headers? Ne moga da si sloja licq bez tqh.. Moga i bez licq da sedia, no znam li, moje bi posle i na nqkoia druga programa shte se zakuchi pak taka..
Molq wi da mi pomognete!
Blagodaria predwaritelno!
Активен

OS: Debian /Unstable/ | Kernel Release: 2.6.15-1-486 | KDE: 3.5.5 FS: Ext3 , ReiserFS

ЦСКА над всичко!

  • Гост
u must have libstdc++ headers installed
« Отговор #1 -: Mar 09, 2004, 19:40 »
здрасти,

Изглежда, че "na full install.." не всключва dev-пакетите.
Нямам идея от организацията при Suse, но мога да те посъветвам да потърсиш по дисковете за нещо от вида:
libstdc++-dev или devel плюс някакви числа в името (за версията).
Примерно (при теб сигурно е друга версията ?!?!'<img'>:
libstdc++-devel-3.3-23.i586.rpm
Активен

kicker

  • Напреднали
  • *****
  • Публикации: 49
    • Профил
    • WWW
u must have libstdc++ headers installed
« Отговор #2 -: Mar 10, 2004, 08:56 »
Blagodaria!
Az imam neshto podobno tuk, kato se opitam da go localiziram mi pokazwa slednoto:

/usr/lib/libstdc++-3-libc6.1-2-2.10.0.so
/usr/lib/libstdc++-3-libc6.2-2-2.10.0.so
/usr/lib/libstdc++-libc6.1-1.so.2
/usr/lib/libstdc++-libc6.1-2.so.3
/usr/lib/libstdc++-libc6.2-2.so.3
/usr/lib/libstdc++.a
/usr/lib/libstdc++.la
/usr/lib/libstdc++.so
/usr/lib/libstdc++.so.2.7.2
/usr/lib/libstdc++.so.2.7.2.8
/usr/lib/libstdc++.so.2.8
/usr/lib/libstdc++.so.2.8.0
/usr/lib/libstdc++.so.2.9
/usr/lib/libstdc++.so.2.9.0
/usr/lib/libstdc++.so.5
/usr/lib/libstdc++.so.5.0.5
/usr/share/doc/packages/libstdc++-devel
/usr/share/doc/packages/libstdc++-devel/html
/usr/share/doc/packages/libstdc++-devel/html/17_intro
/usr/share/doc/packages/libstdc++-devel/html/17_intro/BADNAMES
/usr/share/doc/packages/libstdc++-devel/html/17_intro/BUGS
/usr/share/doc/packages/libstdc++-devel/html/17_intro/C++STYLE
/usr/share/doc/packages/libstdc++-devel/html/17_intro/CHECKLIST
/usr/share/doc/packages/libstdc++-devel/html/17_intro/concept_check.diff
/usr/share/doc/packages/libstdc++-devel/html/17_intro/contribute.html
/usr/share/doc/packages/libstdc++-devel/html/17_intro/COPYING
/usr/share/doc/packages/libstdc++-devel/html/17_intro/COPYING.DOC
/usr/share/doc/packages/libstdc++-devel/html/17_intro/DESIGN
/usr/share/doc/packages/libstdc++-devel/html/17_intro/headers_cc.txt
/usr/share/doc/packages/libstdc++-devel/html/17_intro/HEADER_POLICY
/usr/share/doc/packages/libstdc++-devel/html/17_intro/howto.html
/usr/share/doc/packages/libstdc++-devel/html/17_intro/libstdc++-assign.txt
/usr/share/doc/packages/libstdc++-devel/html/17_intro/license.html
/usr/share/doc/packages/libstdc++-devel/html/17_intro/porting-howto.html
/usr/share/doc/packages/libstdc++-devel/html/17_intro/porting-howto.xml
/usr/share/doc/packages/libstdc++-devel/html/17_intro/porting.html
/usr/share/doc/packages/libstdc++-devel/html/17_intro/porting.texi
/usr/share/doc/packages/libstdc++-devel/html/17_intro/PROBLEMS
/usr/share/doc/packages/libstdc++-devel/html/17_intro/RELEASE-NOTES
/usr/share/doc/packages/libstdc++-devel/html/17_intro/TODO
/usr/share/doc/packages/libstdc++-devel/html/18_support
/usr/share/doc/packages/libstdc++-devel/html/18_support/howto.html
/usr/share/doc/packages/libstdc++-devel/html/19_diagnostics
/usr/share/doc/packages/libstdc++-devel/html/19_diagnostics/howto.html
/usr/share/doc/packages/libstdc++-devel/html/20_util
/usr/share/doc/packages/libstdc++-devel/html/20_util/howto.html
/usr/share/doc/packages/libstdc++-devel/html/21_strings
/usr/share/doc/packages/libstdc++-devel/html/21_strings/gotw29a.txt
/usr/share/doc/packages/libstdc++-devel/html/21_strings/howto.html
/usr/share/doc/packages/libstdc++-devel/html/21_strings/stringtok_h.txt
/usr/share/doc/packages/libstdc++-devel/html/21_strings/stringtok_std_h.txt
/usr/share/doc/packages/libstdc++-devel/html/22_locale
/usr/share/doc/packages/libstdc++-devel/html/22_locale/codecvt.html
/usr/share/doc/packages/libstdc++-devel/html/22_locale/ctype.html
/usr/share/doc/packages/libstdc++-devel/html/22_locale/howto.html
/usr/share/doc/packages/libstdc++-devel/html/22_locale/locale.html
/usr/share/doc/packages/libstdc++-devel/html/22_locale/messages.html
/usr/share/doc/packages/libstdc++-devel/html/23_containers
/usr/share/doc/packages/libstdc++-devel/html/23_containers/howto.html
/usr/share/doc/packages/libstdc++-devel/html/23_containers/wrappers_h.txt
/usr/share/doc/packages/libstdc++-devel/html/24_iterators
/usr/share/doc/packages/libstdc++-devel/html/24_iterators/howto.html
/usr/share/doc/packages/libstdc++-devel/html/25_algorithms
/usr/share/doc/packages/libstdc++-devel/html/25_algorithms/howto.html
/usr/share/doc/packages/libstdc++-devel/html/26_numerics
/usr/share/doc/packages/libstdc++-devel/html/26_numerics/howto.html
/usr/share/doc/packages/libstdc++-devel/html/27_io
/usr/share/doc/packages/libstdc++-devel/html/27_io/binary_iostreams_kanze.txt
/usr/share/doc/packages/libstdc++-devel/html/27_io/binary_iostreams_kuehl.txt
/usr/share/doc/packages/libstdc++-devel/html/27_io/howto.html
/usr/share/doc/packages/libstdc++-devel/html/abi.txt
/usr/share/doc/packages/libstdc++-devel/html/configopts.html
/usr/share/doc/packages/libstdc++-devel/html/debug.html
/usr/share/doc/packages/libstdc++-devel/html/documentation.html
/usr/share/doc/packages/libstdc++-devel/html/explanations.html
/usr/share/doc/packages/libstdc++-devel/html/ext
/usr/share/doc/packages/libstdc++-devel/html/ext/howto.html
/usr/share/doc/packages/libstdc++-devel/html/ext/lwg-active.html

Towa e edna chast.No tyi kato sym oshte zelen, ne moga da proumeia dali go imam, no ne e instalirano ili towa koeto mi pokazwa uizobshto ne e towa koeto mi trqbwa..
Nqkakyw sywet?
Blagodaria predwaritelno:)
Активен

OS: Debian /Unstable/ | Kernel Release: 2.6.15-1-486 | KDE: 3.5.5 FS: Ext3 , ReiserFS

ЦСКА над всичко!

dtzekov

  • Напреднали
  • *****
  • Публикации: 14
    • Профил
u must have libstdc++ headers installed
« Отговор #3 -: Mar 11, 2004, 13:03 »
Iztegli si lib-a ot:


http://rpm.pbone.net

Spored men stava vupros za libstdc++-devel,no te
si vurvjat zaedno po nomer na versiata.
A kolkoto do proverka dali go ima kacheno:

#rpm -q libstdc++-devel

 '<img'>
Активен

kicker

  • Напреднали
  • *****
  • Публикации: 49
    • Профил
    • WWW
u must have libstdc++ headers installed
« Отговор #4 -: Mar 12, 2004, 02:42 »
Ami go imam instalirano towa.Daje za wseki sluchai ot instalcionniq disk si go update-nah, posle i w neta rowih za online update, no mi pisheshe, che wersiqta koiato imam instalirana e posledna.Sled kato pak se opitah da si instaliram licq , otnowo mi iskara syshtata greshka.Chuwstwam se typo:( Uj go imam instalirano, a pri instalaciq na licq pishe, che "trqbwalo" da go imam instalirano,
Активен

OS: Debian /Unstable/ | Kernel Release: 2.6.15-1-486 | KDE: 3.5.5 FS: Ext3 , ReiserFS

ЦСКА над всичко!

Al_Kapone

  • Напреднали
  • *****
  • Публикации: 30
    • Профил
u must have libstdc++ headers installed
« Отговор #5 -: Mar 26, 2004, 15:07 »
I az ne moga da se spravq s tozi problem. Moje na nqkoj ot userite v tozi forum da im se struva smeshno no za 4ovek koito sqda za 10 pyt pred x-sreda na linux e mnogo typo...niama li koi da pomogne? Az sys sys SuSe 8.2

rpm -q libstdc++-devel
libstdc++-devel-3.3-23

hecking for QT libraries... /usr/lib
checking for QT includes... no
configure: error:

I can't find the QT header files.

Install the QT development package, or if you have them installed, override
this check with the --with-qt-includes argument, and I'll take your word for
it.


./configure --with-qt-includes
configure: error: You need to have the libstdc++ headers installed
Активен

Al_Kapone

  • Напреднали
  • *****
  • Публикации: 30
    • Профил
u must have libstdc++ headers installed
« Отговор #6 -: Mar 28, 2004, 20:24 »
Niama li koi da pomogne?
Активен

biglamer

  • Напреднали
  • *****
  • Публикации: 68
  • Distribution: Ubuntu
  • Window Manager: Gnome
    • Профил
u must have libstdc++ headers installed
« Отговор #7 -: Mar 28, 2004, 21:29 »
Инсталирай си qt-devel пакета.
Активен